Bug 572374 - Regression in power management on ppc (PowerBook G4)
Regression in power management on ppc (PowerBook G4)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-server-utils (Show other bugs)
12
powerpc Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-10 20:40 EST by Peter Hedlund
Modified: 2010-12-03 12:34 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 12:34:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output from dmesg after "xset dpms force off" (100.77 KB, text/plain)
2010-03-19 20:21 EDT, Peter Hedlund
no flags Details
/var/log/messages (78.48 KB, text/plain)
2010-03-19 20:25 EDT, Peter Hedlund
no flags Details
Xorg.log (316.93 KB, text/plain)
2010-03-19 20:27 EDT, Peter Hedlund
no flags Details

  None (edit)
Description Peter Hedlund 2010-03-10 20:40:26 EST
Description of problem:

xset dpms force off no longer works. Instead of turning off the display completely including the apple on top of the lid it only dims the display.

Setting the power management profile to suspend to ram after a certain time doesn't work. Clicking the sleep button in the panel applet does work.


Version-Release number of selected component (if applicable):
Most recent update as of today.

How reproducible:

Always

Steps to Reproduce:
1. run "xset dpms force off" or set power management applet to turn off screen.
2.
3.
  
Actual results:
Dimming of display.

Expected results:
Display should be turned off completely

Additional info:
Comment 1 Matěj Cepl 2010-03-17 23:23:45 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf, if available), output of the dmesg command, system log (/var/log/messages), and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Peter Hedlund 2010-03-19 20:21:57 EDT
Created attachment 401375 [details]
Output from dmesg after "xset dpms force off"
Comment 3 Peter Hedlund 2010-03-19 20:25:36 EDT
Created attachment 401379 [details]
/var/log/messages
Comment 4 Peter Hedlund 2010-03-19 20:27:48 EDT
Created attachment 401380 [details]
Xorg.log
Comment 5 Peter Hedlund 2010-03-19 20:32:15 EDT
I hope these files are helpful. There is no xorg.conf on this system.

With recent updates things have improved somewhat. Setting the system to suspend after a certain time works.

Turning off display still does not work. xset dpms force off starts by causing a black line to be drawn horizontally across the middle of the screen. The screen then gradually fades to near black, but never completely turns off. The Apple on the lid never turns off like it should.
Comment 6 Bug Zapper 2010-11-03 16:09:39 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2010-12-03 12:34:42 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.